<template>
  <div class="accountbg"></div>

  <div class="wrapper-page">
    <div class="container">
      <div class="row align-items-center justify-content-center">
        <div class="col-lg-5">
          <div class="card card-pages shadow-none mt-4">
            <div class="card-body">
              <div class="text-center mt-0 mb-3">
                <a href="index.html" class="logo logo-admin">
                  <img
                    src="@/assets/images/logo-dark.png"
                    class="mt-3"
                    alt=""
                    height="26"
                /></a>
              </div>

              <form class="form-horizontal mt-4" @submit.prevent="submit()">
                <div class="form-group">
                  <div class="col-12">
                    <label for="username">E Posta</label>
                    <input
                      class="form-control"
                      v-model="form.email"
                      type="text"
                      required=""
                      placeholder="E Posta"
                    />
                  </div>
                </div>

                <div class="form-group">
                  <div class="col-12">
                    <label for="password">Şifre</label>
                    <input
                      class="form-control"
                      type="password"
                      v-model="form.password"
                      required=""
                      placeholder="Şifre"
                    />
                  </div>
                </div>

                <div class="form-group text-center mt-3">
                  <div class="col-12">
                    <button
                      class="btn btn-primary btn-block waves-effect waves-light"
                      type="submit"
                    >
                      <span
                        class="spinner-border spinner-border-sm"
                        role="status"
                        v-if="loading"
                        aria-hidden="true"
                      ></span>
                      Giriş Yap
                    </button>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup>
import { ref } from "vue";
import { useAuthStore } from "../../stores/auth";
import { storeToRefs } from "pinia";
const authStore = useAuthStore();
const { loading } = storeToRefs(authStore);
const form = ref({
  email: null,
  password: null,
});
const submit = () => {
  authStore.login(form.value.email, form.value.password);
};
</script>

<style>
</style>